<?php
function squaregrid_form_system_theme_settings_alter(&$form, &$form_state) {

// Sidebar width settings
  $form['content_widths'] = array (
    '#type'   => 'fieldset',
    '#title'  => t('Content Width Settings'),
    '#description' => t('How wide do you want your supplementary content? Configure how wide the so-called sidebars are here. Then if/when the sidebar displays, it will be the width set. Of course, you can override these settings you your theme CSS files.'),
    '#weight' => '-18',
  );

// Responsive design support settings
  $form['responsive'] = array(
    '#type'   => 'fieldset',
    '#title'  => t('Responsive Design Settings'),
    '#description' => t('<p>By selecting options below, you can set the Square Grid Theme to adapt to support various browser window/screen sizes. On screen sizes smaller than the smallest enabled grid display, pages are loaded in single-column display for readability. On larger screen sizes, Square Grid will use the <strong>largest enabled grid</strong> that fits within the screen width. If no grids are selected, no grid css will be loaded at all.</p></p><em>Note: Some browser, such as Internet Explorer 6-8, do not natively support the media queries utilized for responsive design. See <a href="!link">Respond project on Github</a> for a JavaScript solution.</em></p>', array('!link' => 'https://github.com/scottjehl/Respond')),
    '#weight' => '-20',
  );

    $form['responsive']['smallgrid'] = array(
      '#type' => 'checkbox',
      '#title' => t('770px-wide grid display'),
      '#default_value' => theme_get_setting('smallgrid'),
      '#description' => t('The grid display will adjust proportionally to 770px wide (each grid square at 22px) for windows 770px wide and larger.'),
    );

    $form['responsive']['squaregrid'] = array(
      '#type' => 'checkbox',
      '#title' => t('980px-wide grid display (recommended default)'),
      '#default_value' => theme_get_setting('squaregrid'),
      '#description' => t('The grid display will adjust proportionally to 980px wide (each grid square at 28px) for windows 980px wide and larger.'),
    );

    $form['responsive']['sgw1190'] = array(
      '#type' => 'checkbox',
      '#title' => t('1190px-wide grid display'),
      '#default_value' => theme_get_setting('sgw1190'),
      '#description' => t('The grid display will adjust proportionally to 1190px wide (each grid square at 34px) for windows 1190px wide and larger.'),
    );

//     $form['responsive']['sgw1400'] = array(
//       '#type' => 'checkbox',
//       '#title' => t('1400px-wide grid display'),
//       '#default_value' => theme_get_setting('sgw1400'),
//       '#description' => t('The grid display will adjust proportionally to 1400px wide (each grid square at 40px) for windows 1400px wide and larger.'),
//     );


// Theme development tools fieldset
  $form['gridoptions'] = array(
    '#type'   => 'fieldset',
    '#title'  => t('Theme Development Tools'),
    '#weight' => '-21',
    '#description' => t('These tools are <strong>not intended for lives sites</strong> and a provided for convenience only while you develop your theme.'),
  );

    // checkbox option to display the grid
    $form['gridoptions']['showgrid'] = array(
      '#type' => 'checkbox',
      '#title' => t('Display the grid guides.'),
      '#default_value' => theme_get_setting('showgrid'),
      '#description' => t('While testing your own sub-theme layout, it can be helpful to display the grid.'),
    );

    // checkbox option to rebuild theme registry on every pageload
    $form['gridoptions']['squaregrid_rebuild_registry'] = array(
      '#type'          => 'checkbox',
      '#title'         => t('Rebuild theme registry on every pageload.'),
      '#default_value' => theme_get_setting('squaregrid_rebuild_registry'),
      '#description'   => t('<strong>WARNING! This setting has a huge performance penalty! Remember to turn this off when your site goes live.</strong> <em>See <a href="!link">rebuild the theme registry</a> for more information on this</em>.', array('!link' => 'http://drupal.org/node/173880#theme-registry')),
    );

}
